petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESConvergenceTestFunction

functional form used for testing of convergence of nonlinear solver

### Synopsis

    #include <petscsnes.h>
    $     PetscErrorCode SNESConvergenceTest(SNES snes,PetscInt it,PetscReal xnorm,PetscReal gnorm,PetscReal f,SNESConvergedReason *reason,void *cctx)

| snes | - the SNES context Many br
| it | - current iteration (0 is the first and is before any Newton step) Many br
| cctx | - [optional] convergence context Many br
| reason | - reason for convergence/divergence Many br
| xnorm | - 2-norm of current iterate Many br
| gnorm | - 2-norm of current step Many br
| f | - 2-norm of function Many br

Many br

### See Also

SNESSetConvergenceTest(), SNESGetConvergenceTest()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages